Add bindata verify check and fix missing bindata changes (#2208)

Add script to verify if bindata is up to date.
Add changes in https://github.com/kubernetes/ingress-nginx/pull/2205 to bindata and reformat bindata file to the format that go-bindata generated.
This commit is contained in:
Oilbeater 2018-03-19 20:27:30 +08:00 committed by Manuel Alejandro de Brito Fontes
parent 1df421ac0c
commit 28e6f54a69
4 changed files with 51 additions and 10 deletions

View file

@ -40,6 +40,7 @@ jobs:
- sudo luarocks install luacheck
- make luacheck
- go get github.com/golang/lint/golint
- go get -u github.com/jteeuwen/go-bindata/...
- make verify-all
- stage: Coverage
before_script:

View file

@ -135,7 +135,7 @@ clean:
.PHONE: code-generator
code-generator:
go-bindata -o internal/file/bindata.go -prefix="rootfs" -pkg=file -ignore=Dockerfile -ignore=".DS_Store" rootfs/...
go-bindata -nometadata -o internal/file/bindata.go -prefix="rootfs" -pkg=file -ignore=Dockerfile -ignore=".DS_Store" rootfs/...
.PHONY: build
build: clean

40
hack/verify-bindata.sh Normal file
View file

@ -0,0 +1,40 @@
#!/bin/bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
TMP_DIR="_tmp"
cleanup() {
rm -rf "${TMP_DIR}"
}
trap "cleanup" EXIT SIGINT
cleanup
go-bindata -nometadata -o ${TMP_DIR}/bindata.go -prefix="rootfs" -pkg=file -ignore=Dockerfile -ignore=".DS_Store" rootfs/...
ret=0
diff -Naupr "${TMP_DIR}/bindata.go" "internal/file/bindata.go" || ret=$?
if [[ ${ret} -eq 0 ]]
then
echo "bindata.go up to date."
else
echo "bindata.go is out of date. Please run make code-generator and NOT gofmt internal/file/bindata.go"
exit 1
fi

File diff suppressed because one or more lines are too long